#include<fstream>
using namespace std;
int bin(int f[],int a,int m,int n)
{
	int key=(m+n)/2;
	if(f[key]==a) return key+1;
	if(m>n) return -1;
	if((f[key]!=a)&&(m<=n)) 
	{
		if(f[key]>a) bin(f,a,m,key-1);
		else bin(f,a,key+1,n);
	}
}
int main()
{
	ifstream f1("TKNP.INP");
	ofstream f2("TKNP.OUT");
	int n;
	int k;
	f1>>n>>k;
	int f[n];
	int i;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	f2<<bin(f,k,0,n-1);
	f2.close();
	return 0;
}
